# floriday-supplier-client

﻿Every endpoint requires at least the `role:app` scope and the header `X-Api-Key` populated with your given API-key. Most endpoints also require an additional scope which is listed in their descriptions.

- 🗝 [Authorization server (staging)](https://idm.staging.floriday.io/oauth2/ausmw6b47z1BnlHkw0h7/.well-known/oauth-authorization-server)
- 🗝 [Authorization server (live)](https://idm.floriday.io/oauth2/aus3testdcf2vyfs70i7/.well-known/oauth-authorization-server)
- 📚 [Documentation](https://developer.floriday.io/docs/welcome)
- ▶ [Coding screencast: getting started (NL)](https://www.youtube.com/watch?v=fdqzP7_Y_s8)  

---  

_The current state of this version 2024v1 is **Main**._

- This version will be deprecated after October 2024
- This version will be removed after April 2025.

---  

🔗 2023v2: [Customers API](https://api.staging.floriday.io/customers-api-2023v2/swagger/index.html) | [Suppliers API](https://api.staging.floriday.io/suppliers-api-2023v2/swagger/index.html) 🔗 2024v1: [Customers API](https://api.staging.floriday.io/customers-api-2024v1/swagger/index.html) | [Suppliers API](https://api.staging.floriday.io/suppliers-api-2024v1/swagger/index.html) 🔗 2024v2: [Customers API](https://api.staging.floriday.io/customers-api-2024v2/swagger/index.html) | [Suppliers API](https://api.staging.floriday.io/suppliers-api-2024v2/swagger/index.html)

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 2024v1
- Package version: 0.0.4
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements

Python 3.4+, developed and tested with Python 3.12.

## Installation & Usage

### pip install

You can install directly from Github:

```sh
pip install git+https://github.com/serraict/vine-floriday-python-supplier-api-client
```

Then import the package:

```python
import floriday_supplier_client
```

The package expects the authorization credentials to be provided as environment variables.
See [`.env.example`](.env.example) for an example.

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```

(or `sudo python setup.py install` to install the package for all users)

Then import the package:

```python
import floriday_supplier_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run [`example.py`](example.py)

```python
python example.py
```

## Development

All the code in `floriday_supplier_client` and `test` are generated.
Files that should not be overwritten on generation, should be included in [`.swagger-codegen-ignore`](./.swagger-codegen-ignore).
We maintain a single [minimal working example](./example.py).

```bash
swagger-codegen version     # verify you have swagger-codegen installed and available
make local_specs            # get a local copy of the swagger specification
make client                 # generate the client
```

To start customization, experimenting, and testing the `floriday_supplier_client` package:

```bash
make bootstrap
./venv/bin/activate
make update
python example.py
```

To make a new release, do:

```release
make release
```

## Documentation for API Endpoints

All URIs are relative to _<https://api.staging.floriday.io/suppliers-api-2024v1>_

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
_AdditionalServicesApi_ | [**get_additional_service_by_id**](docs/AdditionalServicesApi.md#get_additional_service_by_id) | **GET** /additional-services/{additionalServiceId} | catalog:read - Returns an additional service.
_AdditionalServicesApi_ | [**get_additional_service_by_sequence_number**](docs/AdditionalServicesApi.md#get_additional_service_by_sequence_number) | **GET** /additional-services/sync/{sequenceNumber} | catalog:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 additional services starting from a specified sequence number.
_AdditionalServicesApi_ | [**get_additional_services**](docs/AdditionalServicesApi.md#get_additional_services) | **GET** /additional-services | catalog:read - Returns overview of additional services.
_AdditionalServicesApi_ | [**get_additional_services_max_sequence**](docs/AdditionalServicesApi.md#get_additional_services_max_sequence) | **GET** /additional-services/current-max-sequence | catalog:read - rate limit: 3.4 per second - burst limit: 1000 - Returns the maximum sequence number found in additional services.
_AuctionApi_ | [**add_clock_presales_supply_line**](docs/AuctionApi.md#add_clock_presales_supply_line) | **POST** /clock-presales-supply-lines | supply:write - Creates a new clock presales supply line.
_AuctionApi_ | [**add_clock_sales_from_nursery_supply_line**](docs/AuctionApi.md#add_clock_sales_from_nursery_supply_line) | **POST** /clock-sales-from-nursery/supply-lines | supply:write - Creates a new clock sales from nursery supply line.
_AuctionApi_ | [**delete_clock_sales_from_nursery_supply_line**](docs/AuctionApi.md#delete_clock_sales_from_nursery_supply_line) | **DELETE** /clock-sales-from-nursery/supply-lines/{clockSalesFromNurserySupplyLineId} | supply:write - Deletes a clock sales from nursery supply line.
_AuctionApi_ | [**edit_clock_presales_supply_line**](docs/AuctionApi.md#edit_clock_presales_supply_line) | **PUT** /clock-presales-supply-lines/{clockPresalesSupplyLineId} | sales-order:write - Updates a clock presales supply line.
_AuctionApi_ | [**get_clock_presales_supply_line_by_id**](docs/AuctionApi.md#get_clock_presales_supply_line_by_id) | **GET** /clock-presales-supply-lines/{clockPresalesSupplyLineId} | supply:read - Returns a clock presales supply line.
_AuctionApi_ | [**get_clock_presales_supply_lines_by_sequence_number**](docs/AuctionApi.md#get_clock_presales_supply_lines_by_sequence_number) | **GET** /clock-presales-supply-lines/sync/{sequenceNumber} | supply:read - Returns a list of max 1000 clock presales supply lines starting from a specified sequence number.
_AuctionApi_ | [**get_clock_presales_supply_lines_max_sequence**](docs/AuctionApi.md#get_clock_presales_supply_lines_max_sequence) | **GET** /clock-presales-supply-lines/current-max-sequence | supply:read - rate limit: 3.4 per second - burst limit: 1000 - Returns the maximum sequence number found in clock presales supply lines.
_AuctionApi_ | [**get_clock_supply_line_by_id**](docs/AuctionApi.md#get_clock_supply_line_by_id) | **GET** /clock-supply-lines/{supplyLineId} | supply:read - Returns a clock supply line.
_AuctionApi_ | [**get_clock_supply_lines_by_sequence_number**](docs/AuctionApi.md#get_clock_supply_lines_by_sequence_number) | **GET** /clock-supply-lines/sync/{sequenceNumber} | supply:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 clock supply lines starting from a specified sequence number.
_AuctionApi_ | [**get_clock_supply_lines_max_sequence**](docs/AuctionApi.md#get_clock_supply_lines_max_sequence) | **GET** /clock-supply-lines/current-max-sequence | supply:read - rate limit: 3.4 per second - burst limit: 1000 - Returns the maximum sequence number found in clock supply lines.
_BaseItemsApi_ | [**add_base_item**](docs/BaseItemsApi.md#add_base_item) | **POST** /base-items | catalog:write - Create a base item
_BaseItemsApi_ | [**delete_base_item**](docs/BaseItemsApi.md#delete_base_item) | **DELETE** /base-items/{baseItemId} | catalog:write - Delete a base item
_BaseItemsApi_ | [**edit_base_item**](docs/BaseItemsApi.md#edit_base_item) | **PUT** /base-items/{baseItemId} | catalog:write - Update a base item
_BaseItemsApi_ | [**get_base_item_by_id**](docs/BaseItemsApi.md#get_base_item_by_id) | **GET** /base-items/{baseItemId} | catalog:read - Return base-items
_BaseItemsApi_ | [**get_base_items_by_sequence_number**](docs/BaseItemsApi.md#get_base_items_by_sequence_number) | **GET** /base-items/sync/{sequenceNumber} | catalog:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 base items starting from a specified sequence number.
_BaseItemsApi_ | [**get_base_items_max_sequence**](docs/BaseItemsApi.md#get_base_items_max_sequence) | **GET** /base-items/current-max-sequence | catalog:read - rate limit: 3.4 per second - burst limit: 1000 - Returns the maximum sequence number found in base items.
_BatchesApi_ | [**add_batch**](docs/BatchesApi.md#add_batch) | **POST** /batches | fulfillment:write - rate limit: 3.4 per second - burst limit: 1000 - Creates a batch.
_BatchesApi_ | [**combine_and_transform_batches**](docs/BatchesApi.md#combine_and_transform_batches) | **POST** /batches/combine-and-transform | fulfillment:write - rate limit: 3.4 per second - burst limit: 1000 - Merge and transform multiple existing batches into a single new batch with the given modifications.
_BatchesApi_ | [**edit_batch**](docs/BatchesApi.md#edit_batch) | **PUT** /batches/{batchId}/quantity-corrections | fulfillment:write - rate limit: 3.4 per second - burst limit: 1000 - Update the quantity of a batch.
_BatchesApi_ | [**get_batch_by_id**](docs/BatchesApi.md#get_batch_by_id) | **GET** /batches/{batchId} | fulfillment:read - Returns a batch.
_BatchesApi_ | [**get_batch_mutations_by_sequence_number**](docs/BatchesApi.md#get_batch_mutations_by_sequence_number) | **GET** /batches/mutations/sync/{sequenceNumber} | fulfillment:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 batch mutations starting from a specified sequence number.
_BatchesApi_ | [**get_batch_mutations_max_sequence**](docs/BatchesApi.md#get_batch_mutations_max_sequence) | **GET** /batches/mutations/current-max-sequence | fulfillment:read - Returns the maximum sequence number found in batch mutations.
_BatchesApi_ | [**get_batches**](docs/BatchesApi.md#get_batches) | **GET** /batches | fulfillment:read - rate limit: 3.4 per second - burst limit: 1000 - Returns batches.
_BatchesApi_ | [**get_batches_by_sequence_number**](docs/BatchesApi.md#get_batches_by_sequence_number) | **GET** /batches/sync/{sequenceNumber} | fulfillment:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 batches starting from a specified sequence number.
_BatchesApi_ | [**get_batches_max_sequence**](docs/BatchesApi.md#get_batches_max_sequence) | **GET** /batches/current-max-sequence | fulfillment:read - Returns the maximum sequence number found in batches.
_BatchesApi_ | [**get_tray_labels_as_pdf_by_batch_ids**](docs/BatchesApi.md#get_tray_labels_as_pdf_by_batch_ids) | **GET** /batches/stickers | fulfillment:read - Returns tray stickers as pdf for batches.
_BatchesApi_ | [**transform_batch**](docs/BatchesApi.md#transform_batch) | **PUT** /batches/{batchId}/transform | fulfillment:write - rate limit: 3.4 per second - burst limit: 1000 - Transform a batch into a new batch with the given modifications.
_BlanketOrdersApi_ | [**add_blanket_order**](docs/BlanketOrdersApi.md#add_blanket_order) | **POST** /blanket-orders | contract:write - Creates a blanket order
_BlanketOrdersApi_ | [**delete_blanket_order**](docs/BlanketOrdersApi.md#delete_blanket_order) | **DELETE** /blanket-orders/{blanketOrderId} | contract:write - Deletes a blanket order.
_BlanketOrdersApi_ | [**edit_blanket_order**](docs/BlanketOrdersApi.md#edit_blanket_order) | **PUT** /blanket-orders/{blanketOrderId} | contract:write - Modifies an existing blanket order.
_BlanketOrdersApi_ | [**get_blanket_order_by_id**](docs/BlanketOrdersApi.md#get_blanket_order_by_id) | **GET** /blanket-orders/{blanketOrderId} | contract:read - Returns a blanket order by id.
_BlanketOrdersApi_ | [**get_blanket_orders_by_sequence_number**](docs/BlanketOrdersApi.md#get_blanket_orders_by_sequence_number) | **GET** /blanket-orders/sync/{sequenceNumber} | contract:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 contracts starting from a specified sequence number.
_BlanketOrdersApi_ | [**get_blanket_orders_max_sequence**](docs/BlanketOrdersApi.md#get_blanket_orders_max_sequence) | **GET** /blanket-orders/current-max-sequence | contract:read - rate limit: 3.4 per second - burst limit: 1000 - Returns the maximum sequence number found in blanket orders.
_BlanketOrdersApi_ | [**set_blanket_order_approved**](docs/BlanketOrdersApi.md#set_blanket_order_approved) | **PATCH** /blanket-orders/{blanketOrderId}/approve | contract:write - Approves a blanket order
_BundledOffersApi_ | [**add_bundled_offer**](docs/BundledOffersApi.md#add_bundled_offer) | **POST** /bundled-offers | supply:write - creates a bundled offer.
_BundledOffersApi_ | [**delete_bundled_offer**](docs/BundledOffersApi.md#delete_bundled_offer) | **DELETE** /bundled-offers/{bundledOfferId} | supply:write - delete a bundled offer
_BundledOffersApi_ | [**edit_bundled_offer**](docs/BundledOffersApi.md#edit_bundled_offer) | **PUT** /bundled-offers/{bundledOfferId} | supply:write - update a bundled offer
_BundledOffersApi_ | [**get_bundled_offer_by_bundled_offer_line_id**](docs/BundledOffersApi.md#get_bundled_offer_by_bundled_offer_line_id) | **GET** /bundled-offers/by-bundled-offer-line-id | supply:read - Returns a bundled offer.
_BundledOffersApi_ | [**get_bundled_offer_by_id**](docs/BundledOffersApi.md#get_bundled_offer_by_id) | **GET** /bundled-offers/{bundledOfferId} | supply:read - Returns a bundled offer.
_BundledOffersApi_ | [**get_bundled_offers_by_sequence_number**](docs/BundledOffersApi.md#get_bundled_offers_by_sequence_number) | **GET** /bundled-offers/sync/{sequenceNumber} | supply:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 Bundled offers starting from a specified sequence number.
_BundledOffersApi_ | [**get_bundled_offers_max_sequence**](docs/BundledOffersApi.md#get_bundled_offers_max_sequence) | **GET** /bundled-offers/current-max-sequence | supply:read - rate limit: 3.4 per second - burst limit: 1000 - Returns the maximum sequence number found in bundled offers.
_CatalogPricesApi_ | [**add_weekly_supply_line**](docs/CatalogPricesApi.md#add_weekly_supply_line) | **POST** /weekly-supply-lines | supply:write - Creates a new weekly supply line for trade item.
_CatalogPricesApi_ | [**delete_weekly_supply_lines**](docs/CatalogPricesApi.md#delete_weekly_supply_lines) | **DELETE** /weekly-supply-lines/{supplyLineId} | supply:write - Deletes a weekly supply line.
_CatalogPricesApi_ | [**edit_continuous_stock**](docs/CatalogPricesApi.md#edit_continuous_stock) | **PUT** /trade-items/{tradeItemId}/continuous-stock | supply:write - rate limit: 10 per second - burst limit: 1000 - Set availabilities for a trade item
_CatalogPricesApi_ | [**edit_weekly_base_supply**](docs/CatalogPricesApi.md#edit_weekly_base_supply) | **PUT** /trade-items/{tradeItemId}/base-supply/{year}/{week} | supply:write - rate limit: 10 per second - burst limit: 1000 - Generates new weekly supply lines based on pre-entered price groups.
_CatalogPricesApi_ | [**edit_weekly_base_supply_lines**](docs/CatalogPricesApi.md#edit_weekly_base_supply_lines) | **PUT** /trade-items/base-supply/{year}/{week} | supply:write - rate limit: 10 per second - burst limit: 1000 - Generates new weekly supply lines for multiple trade items based on calculated and manual price groups.
_CatalogPricesApi_ | [**edit_weekly_supply_line**](docs/CatalogPricesApi.md#edit_weekly_supply_line) | **PUT** /weekly-supply-lines/{supplyLineId} | supply:write - Updates a weekly supply line for trade item.
_CatalogPricesApi_ | [**get_continuous_stock**](docs/CatalogPricesApi.md#get_continuous_stock) | **GET** /trade-items/{tradeItemId}/continuous-stock | supply:read - Returns the availability of a trade item.
_CatalogPricesApi_ | [**get_trade_item_availabilities**](docs/CatalogPricesApi.md#get_trade_item_availabilities) | **GET** /trade-items/availabilities | supply:read - rate limit: 2 per second - burst limit: 200 - Returns the current availability of all trade items.
_CatalogPricesApi_ | [**get_trade_item_availabilities_by_sequence_number**](docs/CatalogPricesApi.md#get_trade_item_availabilities_by_sequence_number) | **GET** /trade-items/availabilities/sync/{sequenceNumber} | supply:read - Returns a list of max 1000 trade item availabilities starting from a specified sequence number.
_CatalogPricesApi_ | [**get_trade_item_availabilities_max_sequence**](docs/CatalogPricesApi.md#get_trade_item_availabilities_max_sequence) | **GET** /trade-items/availabilities/current-max-sequence | supply:read - Returns the maximum sequence number found in trade item availabilities.
_CatalogPricesApi_ | [**get_weekly_base_supplies**](docs/CatalogPricesApi.md#get_weekly_base_supplies) | **GET** /trade-items/base-supply | supply:read - rate limit: 1 per second - burst limit: 20 - Returns the base supply per year/week for trade items.
_CatalogPricesApi_ | [**set_trade_item_warehouse**](docs/CatalogPricesApi.md#set_trade_item_warehouse) | **PATCH** /trade-items/{tradeItemId}/warehouse | supply:write - Add a warehouse for a trade item ( only continuous stock )
_CatalogPricesApi_ | [**set_weekly_base_supply_number_of_pieces**](docs/CatalogPricesApi.md#set_weekly_base_supply_number_of_pieces) | **PATCH** /trade-items/{tradeItemId}/base-supply/{year}/{week} | supply:write - rate limit: 10 per second - burst limit: 1000 - Patch the number of pieces of an existing base supply.
_CollectionsApi_ | [**add_collection**](docs/CollectionsApi.md#add_collection) | **POST** /collections | catalog:write - Create a collection.
_CollectionsApi_ | [**add_trade_items_to_collection**](docs/CollectionsApi.md#add_trade_items_to_collection) | **POST** /collections/{collectionId}/trade-items | catalog:write - Add trade items to collection.
_CollectionsApi_ | [**delete_collection**](docs/CollectionsApi.md#delete_collection) | **DELETE** /collections/{collectionId} | catalog:write - Delete a collection.
_CollectionsApi_ | [**delete_collection_trade_items**](docs/CollectionsApi.md#delete_collection_trade_items) | **DELETE** /collections/{collectionId}/trade-items | catalog:write - Remove trade items from collection.
_CollectionsApi_ | [**edit_collection**](docs/CollectionsApi.md#edit_collection) | **PUT** /collections/{collectionId} | catalog:write - Update a collection.
_CollectionsApi_ | [**get_collection_by_id**](docs/CollectionsApi.md#get_collection_by_id) | **GET** /collections/{collectionId} | catalog:read - Returns an collection.
_CollectionsApi_ | [**get_collections_by_sequence_number**](docs/CollectionsApi.md#get_collections_by_sequence_number) | **GET** /collections/sync/{sequenceNumber} | catalog:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 collections starting from a specified sequence number.
_CollectionsApi_ | [**get_collections_max_sequence**](docs/CollectionsApi.md#get_collections_max_sequence) | **GET** /collections/current-max-sequence | catalog:read - rate limit: 3.4 per second - burst limit: 1000 - Returns the maximum sequence number found in collections.
_CollectionsApi_ | [**set_sort_order_for_collection**](docs/CollectionsApi.md#set_sort_order_for_collection) | **PATCH** /collections/{collectionId}/sort-order | catalog:write - Set sort order for collection.
_CommercialServiceTypesApi_ | [**get_commercial_service_types**](docs/CommercialServiceTypesApi.md#get_commercial_service_types) | **GET** /commercial-service-types | catalog:read - Returns overview of commercial service types
_CommercialServiceTypesApi_ | [**get_commercial_service_types_by_sequence_number**](docs/CommercialServiceTypesApi.md#get_commercial_service_types_by_sequence_number) | **GET** /commercial-service-types/sync/{sequenceNumber} | catalog:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 commercial service types starting from a specified sequence number.
_CommercialServiceTypesApi_ | [**get_commercial_service_types_max_sequence**](docs/CommercialServiceTypesApi.md#get_commercial_service_types_max_sequence) | **GET** /commercial-service-types/current-max-sequence | catalog:read - rate limit: 3.4 per second - burst limit: 1000 - Returns the maximum sequence number found in commercial service types.
_ConnectionsApi_ | [**get_connections_by_sequence_number**](docs/ConnectionsApi.md#get_connections_by_sequence_number) | **GET** /connections/sync/{sequenceNumber} | network:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 connections starting from a specified sequence number.
_ConnectionsApi_ | [**get_connections_max_sequence**](docs/ConnectionsApi.md#get_connections_max_sequence) | **GET** /connections/current-max-sequence | network:read - rate limit: 3.4 per second - burst limit: 1000 - Returns the maximum sequence number found in connections.
_ContractTradeItemGroupsApi_ | [**get_contract_trade_item_group_by_id**](docs/ContractTradeItemGroupsApi.md#get_contract_trade_item_group_by_id) | **GET** /contract-trade-item-groups/{contractTradeItemGroupId} | catalog:read - Returns an contract trade item group.
_ContractTradeItemGroupsApi_ | [**get_contract_trade_item_groups_by_sequence_number**](docs/ContractTradeItemGroupsApi.md#get_contract_trade_item_groups_by_sequence_number) | **GET** /contract-trade-item-groups/sync/{sequenceNumber} | contract:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 contract trade item groups starting from a specified sequence number.
_ContractTradeItemGroupsApi_ | [**get_contract_trade_item_groups_max_sequence**](docs/ContractTradeItemGroupsApi.md#get_contract_trade_item_groups_max_sequence) | **GET** /contract-trade-item-groups/current-max-sequence | contract:read - rate limit: 3.4 per second - burst limit: 1000 - Returns the maximum sequence number found in contract trade item groups.
_ContractsApi_ | [**add_contract**](docs/ContractsApi.md#add_contract) | **POST** /contracts | contract:write - Creates a draft contract
_ContractsApi_ | [**add_new_contract_version**](docs/ContractsApi.md#add_new_contract_version) | **POST** /contracts/reference/{contractReference} | contract:write - Creates a new version for an existing contract
_ContractsApi_ | [**approve_contract**](docs/ContractsApi.md#approve_contract) | **PATCH** /contracts/{contractId}/approve | contract:write - Sets the state of the contract to &#x27;APPROVED&#x27; if already finalized by the customer.
_ContractsApi_ | [**approve_contract_by_reference**](docs/ContractsApi.md#approve_contract_by_reference) | **PATCH** /contracts/reference/{contractReference}/approve-contract | contract:write - Sets the state of the contract to &#x27;APPROVED&#x27; if already finalized by the customer.
_ContractsApi_ | [**approve_delete_contract**](docs/ContractsApi.md#approve_delete_contract) | **DELETE** /contracts/reference/{contractReference}/approve | contract:write - Approves contract delete request created by customer
_ContractsApi_ | [**decline_contract**](docs/ContractsApi.md#decline_contract) | **PATCH** /contracts/{contractId}/decline | contract:write - Sets the state of the contract to &#x27;DECLINED&#x27; if already finalized by the customer.
_ContractsApi_ | [**decline_contract2**](docs/ContractsApi.md#decline_contract2) | **PATCH** /contracts/reference/{contractReference}/decline-contract | contract:write - Sets the state of the contract to &#x27;DECLINED&#x27; if already finalized by the customer.
_ContractsApi_ | [**decline_delete_contract**](docs/ContractsApi.md#decline_delete_contract) | **DELETE** /contracts/reference/{contractReference}/decline-delete | contract:write - Declines contract delete request created by customer
_ContractsApi_ | [**edit_contract**](docs/ContractsApi.md#edit_contract) | **PUT** /contracts/{contractId} | contract:write - Updates a draft contract
_ContractsApi_ | [**edit_contract_by_reference**](docs/ContractsApi.md#edit_contract_by_reference) | **PUT** /contracts/reference/{contractReference} | contract:write - Updates a draft contract
_ContractsApi_ | [**finalize_contract**](docs/ContractsApi.md#finalize_contract) | **PATCH** /contracts/{contractId}/finalize | contract:write - Sets the contract status to &#x27;FINALIZED&#x27; and offers the contract to the customer for approval.
_ContractsApi_ | [**finalize_contract_by_reference**](docs/ContractsApi.md#finalize_contract_by_reference) | **PATCH** /contracts/reference/{contractReference}/finalize-contract | contract:write - Sets the contract status to &#x27;FINALIZED&#x27; and offers the contract to the customer for approval.
_ContractsApi_ | [**get_contract_attachment_by_id**](docs/ContractsApi.md#get_contract_attachment_by_id) | **GET** /contracts/attachments/{attachmentId} | contract:read - Returns a contract attachment.
_ContractsApi_ | [**get_contract_by_id**](docs/ContractsApi.md#get_contract_by_id) | **GET** /contracts/{contractId} | contract:read - Returns a contract.
_ContractsApi_ | [**get_contracts_by_sequence_number**](docs/ContractsApi.md#get_contracts_by_sequence_number) | **GET** /contracts/sync/{sequenceNumber} | contract:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 100 contracts starting from a specified sequence number.
_ContractsApi_ | [**get_contracts_max_sequence**](docs/ContractsApi.md#get_contracts_max_sequence) | **GET** /contracts/current-max-sequence | contract:read - rate limit: 3.4 per second - burst limit: 1000 - Returns the maximum sequence number found in contracts.
_ContractsApi_ | [**request_delete_contract**](docs/ContractsApi.md#request_delete_contract) | **DELETE** /contracts/reference/{contractReference}/request | contract:write - Deletes contract if contract is not yet approved. Requests delete by customer if already approved
_CustomPackagesApi_ | [**get_custom_package_by_id**](docs/CustomPackagesApi.md#get_custom_package_by_id) | **GET** /custom-packages/{customPackageId} | catalog:read - Get a custom package.
_CustomPackagesApi_ | [**get_custom_packages**](docs/CustomPackagesApi.md#get_custom_packages) | **GET** /custom-packages | catalog:read - Returns custom packages.
_CustomPackagesApi_ | [**get_custom_packages_by_sequence_number**](docs/CustomPackagesApi.md#get_custom_packages_by_sequence_number) | **GET** /custom-packages/sync/{sequenceNumber} | catalog:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 custom packages starting from a specified sequence number.
_CustomPackagesApi_ | [**get_custom_packages_max_sequence**](docs/CustomPackagesApi.md#get_custom_packages_max_sequence) | **GET** /custom-packages/current-max-sequence | catalog:read - rate limit: 3.4 per second - burst limit: 1000 - Returns the maximum sequence number found in custom packages.
_CustomerOffersApi_ | [**add_customer_offer**](docs/CustomerOffersApi.md#add_customer_offer) | **POST** /customer-offers | supply:write - create a customer offer
_CustomerOffersApi_ | [**delete_customer_offers**](docs/CustomerOffersApi.md#delete_customer_offers) | **DELETE** /customer-offers/{supplyLineId} | supply:write - delete a customer offer
_CustomerOffersApi_ | [**edit_customer_offer**](docs/CustomerOffersApi.md#edit_customer_offer) | **PUT** /customer-offers/{supplyLineId} | supply:write - update a customer offer
_CustomerStickersApi_ | [**get_customer_sticker_pdf_by_id**](docs/CustomerStickersApi.md#get_customer_sticker_pdf_by_id) | **GET** /customer-stickers/{stickerId} | sticker:read - Returns customer sticker in pdf format
_CustomerStickersApi_ | [**get_customer_sticker_pdf_by_ids**](docs/CustomerStickersApi.md#get_customer_sticker_pdf_by_ids) | **GET** /customer-stickers | sticker:read - Returns customer stickers in pdf format. Pages are duplicated based on the number of copies in the customer sticker.
_CustomerStickersApi_ | [**get_customer_stickers_by_sequence_number**](docs/CustomerStickersApi.md#get_customer_stickers_by_sequence_number) | **GET** /customer-stickers/sync/{sequenceNumber} | sticker:read - Returns a list of max 1000 customer stickers metadata starting from a specified sequence number.
_CustomerStickersApi_ | [**get_customer_stickers_max_sequence**](docs/CustomerStickersApi.md#get_customer_stickers_max_sequence) | **GET** /customer-stickers/current-max-sequence | sticker:read - Returns the maximum sequence number found in customer stickers.
_CustomerStickersApi_ | [**set_customer_stickers_is_handled**](docs/CustomerStickersApi.md#set_customer_stickers_is_handled) | **PATCH** /customer-stickers/handled | sticker:write - Indicate which stickers are printed and placed.
_DeliveryConditionSetsApi_ | [**get_delivery_condition_set_by_id**](docs/DeliveryConditionSetsApi.md#get_delivery_condition_set_by_id) | **GET** /delivery-condition-sets/{deliveryConditionSetId} | delivery-conditions:read - Returns a delivery condition set.
_DeliveryConditionSetsApi_ | [**get_delivery_condition_sets**](docs/DeliveryConditionSetsApi.md#get_delivery_condition_sets) | **GET** /delivery-condition-sets | delivery-conditions:read - Returns delivery condition sets.
_DeliveryConditionSetsApi_ | [**get_delivery_condition_sets_by_sequence_number**](docs/DeliveryConditionSetsApi.md#get_delivery_condition_sets_by_sequence_number) | **GET** /delivery-condition-sets/sync/{sequenceNumber} | delivery-conditions:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 100 delivery condition sets starting from a specified sequence number.
_DeliveryConditionSetsApi_ | [**get_delivery_condition_sets_max_sequence**](docs/DeliveryConditionSetsApi.md#get_delivery_condition_sets_max_sequence) | **GET** /delivery-condition-sets/current-max-sequence | delivery-conditions:read - rate limit: 3.4 per second - burst limit: 1000 - Returns the maximum sequence number found in delivery condition sets.
_DeliveryLocationsApi_ | [**get_delivery_location_max_sequence**](docs/DeliveryLocationsApi.md#get_delivery_location_max_sequence) | **GET** /delivery-locations/current-max-sequence | organization:read - rate limit: 2.0 per second - burst limit: 200 - Returns the maximum sequence number found in warehouses.
_DeliveryLocationsApi_ | [**get_delivery_locations_by_sequence_number**](docs/DeliveryLocationsApi.md#get_delivery_locations_by_sequence_number) | **GET** /delivery-locations/sync/{sequenceNumber} | organization:read - rate limit: 2.0 per second - burst limit: 200 - Returns a list of max 1000 customer delivery locations starting from a specified sequence number.
_DeliveryOrdersApi_ | [**add_clock_delivery_order**](docs/DeliveryOrdersApi.md#add_clock_delivery_order) | **POST** /delivery-orders/{deliveryOrderId}/auction | fulfillment:write - Create a delivery order for auction warehouse.
_DeliveryOrdersApi_ | [**add_delivery_order_goods_movement**](docs/DeliveryOrdersApi.md#add_delivery_order_goods_movement) | **POST** /delivery-orders/{deliveryOrderId}/goods-movement | fulfillment:write - Create a delivery order for external warehouse.
_DeliveryOrdersApi_ | [**delete_clock_delivery_order**](docs/DeliveryOrdersApi.md#delete_clock_delivery_order) | **DELETE** /delivery-orders/{deliveryOrderId}/auction | fulfillment:write - Delete a delivery order for auction.
_DeliveryOrdersApi_ | [**delete_delivery_order_goods_movement**](docs/DeliveryOrdersApi.md#delete_delivery_order_goods_movement) | **DELETE** /delivery-orders/{deliveryOrderId}/goods-movement | fulfillment:write - Delete a delivery order for goods movement.
_DeliveryOrdersApi_ | [**get_delivery_order_by_id**](docs/DeliveryOrdersApi.md#get_delivery_order_by_id) | **GET** /delivery-orders/{deliveryOrderId} | fulfillment:read - Returns a delivery order.
_DeliveryOrdersApi_ | [**get_delivery_orders_by_sequence_number**](docs/DeliveryOrdersApi.md#get_delivery_orders_by_sequence_number) | **GET** /delivery-orders/sync/{sequenceNumber} | fulfillment:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 delivery orders starting from a specified sequence number.
_DeliveryOrdersApi_ | [**get_delivery_orders_max_sequence**](docs/DeliveryOrdersApi.md#get_delivery_orders_max_sequence) | **GET** /delivery-orders/current-max-sequence | supply:read - rate limit: 3.4 per second - burst limit: 1000 - Returns the maximum sequence number found in delivery orders.
_DeliveryOrdersApi_ | [**get_tray_labels_as_pdf_by_id**](docs/DeliveryOrdersApi.md#get_tray_labels_as_pdf_by_id) | **GET** /delivery-orders/{deliveryOrderId}/stickers | fulfillment:read - Returns tray stickers as pdf for a delivery order.
_DirectSalesApi_ | [**add_supply_line**](docs/DirectSalesApi.md#add_supply_line) | **POST** /supply-lines | supply:write - Create a supply line with type BATCH_PRICE
_DirectSalesApi_ | [**delete_supply_line**](docs/DirectSalesApi.md#delete_supply_line) | **DELETE** /supply-lines/{supplyLineId} | supply:write - Delete a supply line
_DirectSalesApi_ | [**edit_base_supply**](docs/DirectSalesApi.md#edit_base_supply) | **PUT** /batches/{batchId}/base-supply | supply:write - Set base supply for a batch. Supply lines will be generated based on pre-entered price groups.
_DirectSalesApi_ | [**get_supply_line_by_id**](docs/DirectSalesApi.md#get_supply_line_by_id) | **GET** /supply-lines/{supplyLineId} | supply:read - Returns a supply line.
_DirectSalesApi_ | [**get_supply_lines**](docs/DirectSalesApi.md#get_supply_lines) | **GET** /supply-lines | supply:read - rate limit: 3.4 per second - burst limit: 1000 - Returns supply lines created within the given timeframe
_DirectSalesApi_ | [**get_supply_lines_by_sequence_number**](docs/DirectSalesApi.md#get_supply_lines_by_sequence_number) | **GET** /supply-lines/sync/{sequenceNumber} | supply:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 supply lines starting from a specified sequence number.
_DirectSalesApi_ | [**get_supply_lines_max_sequence**](docs/DirectSalesApi.md#get_supply_lines_max_sequence) | **GET** /supply-lines/current-max-sequence | supply:read - rate limit: 3.4 per second - burst limit: 1000 - Returns the maximum sequence number found in supply lines.
_DirectSalesApi_ | [**set_supply_line_price**](docs/DirectSalesApi.md#set_supply_line_price) | **PATCH** /supply-lines/{supplyLineId}/price | supply:write - Update the price of the supply line with type BATCH_PRICE.
_DirectSalesApi_ | [**set_supply_line_status**](docs/DirectSalesApi.md#set_supply_line_status) | **PATCH** /supply-lines/{supplyLineId}/status | supply:write - Update the status of the supply line with type BATCH_PRICE.
_DomainErrorCodesApi_ | [**get_domain_error_codes**](docs/DomainErrorCodesApi.md#get_domain_error_codes) | **GET** /domain-error-codes | - Returns all domain error codes.
_FloraXchangeSettingsApi_ | [**migrate_sales_order_management**](docs/FloraXchangeSettingsApi.md#migrate_sales_order_management) | **POST** /floraxchange-settings/migrate-sales-order-management | fulfillment:write - Migrate sales order management from FX to Floriday
_FulfillmentOrdersApi_ | [**add_fulfillment_order**](docs/FulfillmentOrdersApi.md#add_fulfillment_order) | **POST** /fulfillment-orders | fulfillment:write - Creates a fulfillment order.
_FulfillmentOrdersApi_ | [**add_fulfillment_order_correction**](docs/FulfillmentOrdersApi.md#add_fulfillment_order_correction) | **POST** /fulfillment-orders/{fulfillmentOrderId}/corrections | fulfillment:write - Corrects a fulfillment order.
_FulfillmentOrdersApi_ | [**delete_fulfillment_order**](docs/FulfillmentOrdersApi.md#delete_fulfillment_order) | **DELETE** /fulfillment-orders/{fulfillmentOrderId} | fulfillment:write - Delete a fulfillment order.
_FulfillmentOrdersApi_ | [**edit_fulfillment_order**](docs/FulfillmentOrdersApi.md#edit_fulfillment_order) | **PUT** /fulfillment-orders/{fulfillmentOrderId} | fulfillment:write - Updates a fulfillment order.
_FulfillmentOrdersApi_ | [**get_fulfillment_order_by_id**](docs/FulfillmentOrdersApi.md#get_fulfillment_order_by_id) | **GET** /fulfillment-orders/{fulfillmentOrderId} | fulfillment:read - Returns a fulfillment order.
_FulfillmentOrdersApi_ | [**get_fulfillment_order_corrections_by_id**](docs/FulfillmentOrdersApi.md#get_fulfillment_order_corrections_by_id) | **GET** /fulfillment-orders/{fulfillmentOrderId}/corrections | fulfillment:read - Returns fulfillment order corrections.
_FulfillmentOrdersApi_ | [**get_fulfillment_order_status_by_id**](docs/FulfillmentOrdersApi.md#get_fulfillment_order_status_by_id) | **GET** /fulfillment-orders/{fulfillmentOrderId}/status | fulfillment:read - Returns the status of a fulfillment order.
_FulfillmentOrdersApi_ | [**get_fulfillment_orders_by_sequence_number**](docs/FulfillmentOrdersApi.md#get_fulfillment_orders_by_sequence_number) | **GET** /fulfillment-orders/sync/{sequenceNumber} | fulfillment:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 fulfillment orders starting from a specified sequence number.
_FulfillmentOrdersApi_ | [**get_fulfillment_orders_max_sequence**](docs/FulfillmentOrdersApi.md#get_fulfillment_orders_max_sequence) | **GET** /fulfillment-orders/current-max-sequence | supply:read - rate limit: 3.4 per second - burst limit: 1000 - Returns the maximum sequence number found in fulfillment orders.
_FulfillmentOrdersApi_ | [**get_logistic_labels_by_id**](docs/FulfillmentOrdersApi.md#get_logistic_labels_by_id) | **GET** /fulfillment-orders/{fulfillmentOrderId}/logistic-labels | fulfillment:read - rate limit: 1.0 per second - burst limit: 60 - Returns logistic labels (SSCC or delivery notes) as pdf for a fulfillment order.
_FulfillmentOrdersApi_ | [**get_tray_labels_as_pdf_by_fulfillment_order_id**](docs/FulfillmentOrdersApi.md#get_tray_labels_as_pdf_by_fulfillment_order_id) | **GET** /fulfillment-orders/{fulfillmentOrderId}/stickers | fulfillment:read - Returns tray stickers as pdf for a fulfillment order.
_IdentitiesApi_ | [**get_identity**](docs/IdentitiesApi.md#get_identity) | **GET** /auth/key | Provides the identity associated with an api key.
_InvoiceLinesApi_ | [**get_invoice_lines_by_sales_order_id**](docs/InvoiceLinesApi.md#get_invoice_lines_by_sales_order_id) | **GET** /invoice-lines/{salesOrderId} | sales-order:read - Returns invoice lines by sales order
_InvoiceLinesApi_ | [**get_invoice_lines_by_sequence_number**](docs/InvoiceLinesApi.md#get_invoice_lines_by_sequence_number) | **GET** /invoice-lines/sync/{sequenceNumber} | sales-order:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 invoice lines starting from a specified sequence number.
_InvoiceLinesApi_ | [**get_invoice_lines_max_sequence**](docs/InvoiceLinesApi.md#get_invoice_lines_max_sequence) | **GET** /invoice-lines/current-max-sequence | sales-order:read - rate limit: 3.4 per second - burst limit: 1000 - Returns the maximum sequence number found in invoice lines.
_MediaApi_ | [**add_image**](docs/MediaApi.md#add_image) | **POST** /media | catalog:write - rate limit: 2.0 per second - burst limit: 200 - Uploads an image.
_OrderRequestsApi_ | [**get_order_request_by_id**](docs/OrderRequestsApi.md#get_order_request_by_id) | **GET** /order-requests/{orderRequestId} | sales-order:read - Returns the order request by id.
_OrderRequestsApi_ | [**get_order_requests_by_sequence_number**](docs/OrderRequestsApi.md#get_order_requests_by_sequence_number) | **GET** /order-requests/sync/{sequenceNumber} | sales-order:read - rate limit: 2.0 per second - burst limit: 200 - Returns a list of max 1000 order requests starting from a specified sequence number.
_OrderRequestsApi_ | [**get_order_requests_max_sequence**](docs/OrderRequestsApi.md#get_order_requests_max_sequence) | **GET** /order-requests/current-max-sequence | sales-order:read - Returns the maximum sequence number found in order request.
_OrderRequestsApi_ | [**set_order_request_accepted**](docs/OrderRequestsApi.md#set_order_request_accepted) | **PATCH** /order-requests/{orderRequestId}/accept | sales-order:write - Accepts the order request.
_OrderRequestsApi_ | [**set_order_request_rejected**](docs/OrderRequestsApi.md#set_order_request_rejected) | **PATCH** /order-requests/{orderRequestId}/reject | sales-order:write - Rejects the order request.
_OrganizationsApi_ | [**get_organization_by_company_gln**](docs/OrganizationsApi.md#get_organization_by_company_gln) | **GET** /organizations | organization:read - Returns an organization by company GLN.
_OrganizationsApi_ | [**get_organization_by_id**](docs/OrganizationsApi.md#get_organization_by_id) | **GET** /organizations/{organizationId} | organization:read - Returns an organization.
_OrganizationsApi_ | [**get_organizations_by_sequence_number**](docs/OrganizationsApi.md#get_organizations_by_sequence_number) | **GET** /organizations/sync/{sequenceNumber} | organization:read - rate limit: 2.0 per second - burst limit: 200 - Returns a list of max 1000 organizations starting from a specified sequence number.
_OrganizationsApi_ | [**get_organizations_max_sequence**](docs/OrganizationsApi.md#get_organizations_max_sequence) | **GET** /organizations/current-max-sequence | organization:read - Returns the maximum sequence number found in organizations.
_PackingConfigurationRequestsApi_ | [**get_packing_configuration_request_by_id**](docs/PackingConfigurationRequestsApi.md#get_packing_configuration_request_by_id) | **GET** /packing-configuration-requests/{packingConfigurationRequestId} | catalog:read - Returns a packing configuration request.
_PackingConfigurationRequestsApi_ | [**get_packing_configuration_requests_by_sequence_number**](docs/PackingConfigurationRequestsApi.md#get_packing_configuration_requests_by_sequence_number) | **GET** /packing-configuration-requests/sync/{sequenceNumber} | catalog:read - rate limit: 2.0 per second - burst limit: 200 - Returns a list of max 1000 packing configuration request starting from a specified sequence number.
_PackingConfigurationRequestsApi_ | [**get_packing_configuration_requests_max_sequence**](docs/PackingConfigurationRequestsApi.md#get_packing_configuration_requests_max_sequence) | **GET** /packing-configuration-requests/current-max-sequence | catalog:read - Returns the maximum sequence number found in packing configuration request.
_PackingConfigurationRequestsApi_ | [**set_packing_configuration_request_accepted**](docs/PackingConfigurationRequestsApi.md#set_packing_configuration_request_accepted) | **PATCH** /packing-configuration-requests/{packingConfigurationRequestId}/accept | catalog:write - Accepts the packing configuration request.
_PackingConfigurationRequestsApi_ | [**set_packing_configuration_request_rejected**](docs/PackingConfigurationRequestsApi.md#set_packing_configuration_request_rejected) | **PATCH** /packing-configuration-requests/{packingConfigurationRequestId}/reject | catalog:write - Rejects the packing configuration request.
_PlantPassportsApi_ | [**get_plant_passport_pdf**](docs/PlantPassportsApi.md#get_plant_passport_pdf) | **POST** /plant-passports | fulfillment:read - Returns the plant passport PDF for the BatchIds.
_PlantPassportsApi_ | [**get_plant_passport_pdf_by_sales_channel_order_id**](docs/PlantPassportsApi.md#get_plant_passport_pdf_by_sales_channel_order_id) | **GET** /plant-passports/by-sales-channel-order-id/{salesChannelOrderId} | fulfillment:read - Returns plant passport PDF for the sales order.
_PlantPassportsApi_ | [**get_plant_passport_pdf_by_sales_order_id**](docs/PlantPassportsApi.md#get_plant_passport_pdf_by_sales_order_id) | **GET** /plant-passports/by-sales-order-id/{salesOrderId} | fulfillment:read - Returns plant passport PDF for the sales order.
_PriceGroupsApi_ | [**get_price_group_by_id**](docs/PriceGroupsApi.md#get_price_group_by_id) | **GET** /price-groups/{priceGroupId} | supply:read - Returns a price group.
_PriceGroupsApi_ | [**get_price_groups_by_sequence_number**](docs/PriceGroupsApi.md#get_price_groups_by_sequence_number) | **GET** /price-groups/sync/{sequenceNumber} | supply:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 price groups starting from a specified sequence number.
_PriceGroupsApi_ | [**get_price_groups_max_sequence**](docs/PriceGroupsApi.md#get_price_groups_max_sequence) | **GET** /price-groups/current-max-sequence | supply:read - rate limit: 3.4 per second - burst limit: 1000 - Returns the maximum sequence number found in price groups.
_SalesOrderCorrectionRequestsApi_ | [**accept_sales_order_correction_request**](docs/SalesOrderCorrectionRequestsApi.md#accept_sales_order_correction_request) | **PATCH** /sales-order-correction-requests/{salesOrderCorrectionRequestId}/accept | sales-order:write - Accept sales order correction request.
_SalesOrderCorrectionRequestsApi_ | [**add_sales_order_correction_request**](docs/SalesOrderCorrectionRequestsApi.md#add_sales_order_correction_request) | **POST** /sales-order-correction-requests | sales-order:write - Creates a new sales order correction request.
_SalesOrderCorrectionRequestsApi_ | [**decline_sales_order_correction_request**](docs/SalesOrderCorrectionRequestsApi.md#decline_sales_order_correction_request) | **PATCH** /sales-order-correction-requests/{salesOrderCorrectionRequestId}/decline | sales-order:write - Decline sales order correction request.
_SalesOrderCorrectionRequestsApi_ | [**delete_sales_order_correction_request**](docs/SalesOrderCorrectionRequestsApi.md#delete_sales_order_correction_request) | **DELETE** /sales-order-correction-requests/{salesOrderCorrectionRequestId} | sales-order:write - Delete a sales order correction request.
_SalesOrderCorrectionRequestsApi_ | [**get_sales_order_correction_request_by_id**](docs/SalesOrderCorrectionRequestsApi.md#get_sales_order_correction_request_by_id) | **GET** /sales-order-correction-requests/{salesOrderCorrectionRequestId} | sales-order:read - Returns a sales order correction request.
_SalesOrderCorrectionRequestsApi_ | [**get_sales_order_correction_requests_by_sequence_number**](docs/SalesOrderCorrectionRequestsApi.md#get_sales_order_correction_requests_by_sequence_number) | **GET** /sales-order-correction-requests/sync/{sequenceNumber} | sales-order:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 sales order correction requests starting from a specified sequence number.
_SalesOrderCorrectionRequestsApi_ | [**get_sales_order_correction_requests_max_sequence**](docs/SalesOrderCorrectionRequestsApi.md#get_sales_order_correction_requests_max_sequence) | **GET** /sales-order-correction-requests/current-max-sequence | sales-order:read - rate limit: 3.4 per second - burst limit: 1000 -  Returns the maximum sequence number found in sales order correction requests.
_SalesOrdersApi_ | [**add_sales_order**](docs/SalesOrdersApi.md#add_sales_order) | **POST** /sales-orders | sales-order:write - rate limit: 3.4 per second - burst limit: 1000 - Creates a new sales order.
_SalesOrdersApi_ | [**add_sales_order_external_integration**](docs/SalesOrdersApi.md#add_sales_order_external_integration) | **POST** /sales-orders/external-integration | sales-order:write - rate limit: 3.4 per second - burst limit: 1000 - Creates a new sales order.
_SalesOrdersApi_ | [**get_sales_order_by_id**](docs/SalesOrdersApi.md#get_sales_order_by_id) | **GET** /sales-orders/{salesOrderId} | sales-order:read - Returns a sales order.
_SalesOrdersApi_ | [**get_sales_order_by_id_and_version**](docs/SalesOrdersApi.md#get_sales_order_by_id_and_version) | **GET** /sales-orders/{salesOrderId}/version | sales-order:read - Returns the sales order by ID and version.
_SalesOrdersApi_ | [**get_sales_orders**](docs/SalesOrdersApi.md#get_sales_orders) | **GET** /sales-orders | sales-order:read - rate limit: 3.4 per second - burst limit: 1000 - Returns sales orders.
_SalesOrdersApi_ | [**get_sales_orders_by_sequence_number**](docs/SalesOrdersApi.md#get_sales_orders_by_sequence_number) | **GET** /sales-orders/sync/{sequenceNumber} | sales-order:read - rate limit: 3.4 per second - burst limit: 1000 - Returns a list of max 1000 sales orders starting from a specified sequence number.
_SalesOrdersApi_ | [**get_sales_orders_max_sequence**](docs/SalesOrdersApi.md#get_sales_orders_max_sequence) | **GET** /sales-orders/current-max-sequence | sales-order:read - Returns the maximum sequence number found in sales orders.
_SalesOrdersApi_ | [**set_sales_order_cancelled**](docs/SalesOrdersApi.md#set_sales_order_cancelled) | **PATCH** /sales-orders/{salesOrderId}/cancel | sales-order:write - Cancel a sales order that is still in status ACCEPTED.
_SalesOrdersApi_ | [**set_sales_order_committed**](docs/SalesOrdersApi.md#set_sales_order_committed) | **PATCH** /sales-orders/{salesOrderId}/commit | sales-order:write - Commit a sales order that is still in status ACCEPTED.
_SettingsApi_ | [**set_florecom_order_messages_deactivated**](docs/SettingsApi.md#set_florecom_order_messages_deactivated) | **PATCH** /settings/deactivate-florecom-order-messages | fulfillment:write - Deactivates Florecom order/orderresponse messages
_SupplyRequestsApi_ | [**get_supply_request_by_id**](docs/SupplyRequestsApi.md#get_supply_request_by_id) | **GET** /supply-requests/{supplyRequestId} | supply:read - Returns a supply request.
_SupplyRequestsApi_ | [**get_supply_requests_by_sequence_number**](docs/SupplyRequestsApi.md#get_supply_requests_by_sequence_number) | **GET** /supply-requests/sync/{sequenceNumber} | supply:read - rate limit: 2.0 per second - burst limit: 200 - Returns a list of max 1000 supply requests starting from a specified sequence number.
_SupplyRequestsApi_ | [**get_supply_requests_max_sequence**](docs/SupplyRequestsApi.md#get_supply_requests_max_sequence) | **GET** /supply-requests/current-max-sequence | supply:read - Returns the maximum sequence number found in supply requests.
_SupplyRequestsApi_ | [**set_supply_request_line_accepted**](docs/SupplyRequestsApi.md#set_supply_request_line_accepted) | **PATCH** /supply-requests/line/{supplyRequestLineId}/accept | supply:write - Accepts the supply request line.
_SupplyRequestsApi_ | [**set_supply_request_line_rejected**](docs/SupplyRequestsApi.md#set_supply_request_line_rejected) | **PATCH** /supply-requests/line/{supplyRequestLineId}/reject | supply:write - Rejects the supply request line.
_TradeItemRequestsApi_ | [**get_trade_item_request_by_id**](docs/TradeItemRequestsApi.md#get_trade_item_request_by_id) | **GET** /trade-item-requests/{tradeItemRequestId} | catalog:read - Returns a trade item request.
_TradeItemRequestsApi_ | [**get_trade_item_requests_by_sequence_number**](docs/TradeItemRequestsApi.md#get_trade_item_requests_by_sequence_number) | **GET** /trade-item-requests/sync/{sequenceNumber} | catalog:read - rate limit: 2.0 per second - burst limit: 200 - Returns a list of max 1000 trade item requests starting from a specified sequence number.
_TradeItemRequestsApi_ | [**get_trade_item_requests_max_sequence**](docs/TradeItemRequestsApi.md#get_trade_item_requests_max_sequence) | **GET** /trade-item-requests/current-max-sequence | catalog:read - Returns the maximum sequence number found in trade item requests.
_TradeItemRequestsApi_ | [**set_trade_item_request_accepted**](docs/TradeItemRequestsApi.md#set_trade_item_request_accepted) | **PATCH** /trade-item-requests/{tradeItemRequestId}/accept/{tradeItemId} | catalog:write - Accepts the trade item request.
_TradeItemRequestsApi_ | [**set_trade_item_request_rejected**](docs/TradeItemRequestsApi.md#set_trade_item_request_rejected) | **PATCH** /trade-item-requests/{tradeItemRequestId}/reject | catalog:write - Rejects the trade item request.
_TradeItemsApi_ | [**add_trade_item**](docs/TradeItemsApi.md#add_trade_item) | **POST** /trade-items | catalog:write - Creates a new trade item.
_TradeItemsApi_ | [**add_trade_item_variant**](docs/TradeItemsApi.md#add_trade_item_variant) | **POST** /trade-items/variants | catalog:write - Creates a new trade item variant.
_TradeItemsApi_ | [**delete_trade_item**](docs/TradeItemsApi.md#delete_trade_item) | **DELETE** /trade-items/{tradeItemId} | catalog:write - Deletes a trade item.
_TradeItemsApi_ | [**edit_trade_item**](docs/TradeItemsApi.md#edit_trade_item) | **PUT** /trade-items/{tradeItemId} | catalog:write - Updates a trade item.
_TradeItemsApi_ | [**edit_trade_item_variant**](docs/TradeItemsApi.md#edit_trade_item_variant) | **PUT** /trade-items/variants/{tradeItemId} | catalog:write - Update a trade item variant.
_TradeItemsApi_ | [**get_trade_item_by_id**](docs/TradeItemsApi.md#get_trade_item_by_id) | **GET** /trade-items/{tradeItemId} | catalog:read - Returns a trade item.
_TradeItemsApi_ | [**get_trade_item_by_id_and_version**](docs/TradeItemsApi.md#get_trade_item_by_id_and_version) | **GET** /trade-items/{tradeItemId}/{version} | catalog:read - Returns a trade item.
_TradeItemsApi_ | [**get_trade_items**](docs/TradeItemsApi.md#get_trade_items) | **GET** /trade-items | catalog:read - Returns trade items.
_TradeItemsApi_ | [**get_trade_items_by_sequence_number**](docs/TradeItemsApi.md#get_trade_items_by_sequence_number) | **GET** /trade-items/sync/{sequenceNumber} | catalog:read - rate limit: 2.0 per second - burst limit: 200 - Returns a list of max 1000 trade items starting from a specified sequence number.
_TradeItemsApi_ | [**get_trade_items_max_sequence**](docs/TradeItemsApi.md#get_trade_items_max_sequence) | **GET** /trade-items/current-max-sequence | catalog:read - Returns the maximum sequence number found in trade items.
_TradeItemsApi_ | [**get_trade_items_summary**](docs/TradeItemsApi.md#get_trade_items_summary) | **GET** /trade-items/summary | catalog:read - rate limit: 2.0 per second - burst limit: 200 - Returns public trade item information of a supplier.
_TradeSettingsApi_ | [**get_customer_trade_settings_by_organization_id**](docs/TradeSettingsApi.md#get_customer_trade_settings_by_organization_id) | **GET** /trade-settings/customer/{customerOrganizationId} | network:read - Returns the trade settings for a given customer.
_TradeSettingsApi_ | [**get_customer_trade_settings_by_sequence_number**](docs/TradeSettingsApi.md#get_customer_trade_settings_by_sequence_number) | **GET** /trade-settings/customer/sync/{sequenceNumber} | network:read - Returns a list of max 1000 customer trade settings starting from a specified sequence number.
_TradeSettingsApi_ | [**get_customer_trade_settings_max_sequence**](docs/TradeSettingsApi.md#get_customer_trade_settings_max_sequence) | **GET** /trade-settings/customer/max-sequence | network:read - Returns the maximum sequence number found in customer trade settings. The customer trade settings sequence differs from the supplier trade settings sequence.
_TradeSettingsApi_ | [**get_supplier_trade_settings_from_organization**](docs/TradeSettingsApi.md#get_supplier_trade_settings_from_organization) | **GET** /trade-settings/supplier/current-organization | network:read - Returns the trade settings of the current organization.
_WarehouseProvidersApi_ | [**get_fulfillment_orders_inbound_by_sequence_number**](docs/WarehouseProvidersApi.md#get_fulfillment_orders_inbound_by_sequence_number) | **GET** /fulfillment-orders/inbound/sync/{sequenceNumber} | fulfillment:read - Returns a list of inbound fulfillment orders.
_WarehouseProvidersApi_ | [**set_fulfillment_order_receipt**](docs/WarehouseProvidersApi.md#set_fulfillment_order_receipt) | **PUT** /fulfillment-orders/{fulfillmentOrderId}/goods-receipt | fulfillment:write - Receive a inbound fulfillment order.
_WarehousesApi_ | [**get_warehouses**](docs/WarehousesApi.md#get_warehouses) | **GET** /warehouses | organization:read - Returns warehouses.
_WarehousesApi_ | [**get_warehouses_auction**](docs/WarehousesApi.md#get_warehouses_auction) | **GET** /warehouses/auction | organization:read - Returns warehouses with auction capability.
_WarehousesApi_ | [**get_warehouses_by_sequence_number**](docs/WarehousesApi.md#get_warehouses_by_sequence_number) | **GET** /warehouses/sync/{sequenceNumber} | organization:read - rate limit: 2.0 per second - burst limit: 200 - Returns a list of max 1000 warehouses starting from a specified sequence number.
_WarehousesApi_ | [**get_warehouses_external_stock**](docs/WarehousesApi.md#get_warehouses_external_stock) | **GET** /warehouses/external-stock | organization:read - Returns warehouses for external stock management.
_WarehousesApi_ | [**get_warehouses_max_sequence**](docs/WarehousesApi.md#get_warehouses_max_sequence) | **GET** /warehouses/current-max-sequence | organization:read - rate limit: 2.0 per second - burst limit: 200 - Returns the maximum sequence number found in warehouses.
_WebhooksApi_ | [**add_webhook_subscription**](docs/WebhooksApi.md#add_webhook_subscription) | **POST** /webhooks/subscriptions | webhooks:write - Subscribe to a events webhook.
_WebhooksApi_ | [**delete_webhook_subscription**](docs/WebhooksApi.md#delete_webhook_subscription) | **DELETE** /webhooks/subscriptions | webhooks:write - Delete a events webhook.
_WeeklyBaseSupplyCountersApi_ | [**add_weekly_base_supply_counter_template_to_trade_item_async**](docs/WeeklyBaseSupplyCountersApi.md#add_weekly_base_supply_counter_template_to_trade_item_async) | **PUT** /weekly-base-supply-counters/templates/{weeklyBaseSupplyCounterTemplateId}/add-to-trade-item | supply:write - Add WeeklyBaseSupplyCounterTemplate to trade item.
_WeeklyBaseSupplyCountersApi_ | [**claim_number_of_pieces_from_weekly_base_supply_counter**](docs/WeeklyBaseSupplyCountersApi.md#claim_number_of_pieces_from_weekly_base_supply_counter) | **PUT** /weekly-base-supply-counters/claim/{weeklyBaseSupplyCounterId} | supply:write - Claim NumberOfPieces from weekly base supply counter.
_WeeklyBaseSupplyCountersApi_ | [**delete_weekly_base_supply_counter_template**](docs/WeeklyBaseSupplyCountersApi.md#delete_weekly_base_supply_counter_template) | **DELETE** /weekly-base-supply-counters/templates/{weeklyBaseSupplyCounterTemplateId} | supply:write - Delete weekly base supply counter template.
_WeeklyBaseSupplyCountersApi_ | [**get_weekly_base_supply_counter**](docs/WeeklyBaseSupplyCountersApi.md#get_weekly_base_supply_counter) | **GET** /weekly-base-supply-counters/{weeklyBaseSupplyCounterId} | supply:read - Returns a weekly base supply counter.
_WeeklyBaseSupplyCountersApi_ | [**get_weekly_base_supply_counter_by_template_id**](docs/WeeklyBaseSupplyCountersApi.md#get_weekly_base_supply_counter_by_template_id) | **GET** /weekly-base-supply-counters/by-template-id/{weeklyBaseSupplyCounterTemplateId} | supply:read - Returns weekly base supply counters by templateId.
_WeeklyBaseSupplyCountersApi_ | [**get_weekly_base_supply_template_by_id**](docs/WeeklyBaseSupplyCountersApi.md#get_weekly_base_supply_template_by_id) | **GET** /weekly-base-supply-counters/templates/{weeklyBaseSupplyCounterTemplateId} | supply:read - Returns a weekly base supply counter template.
_WeeklyBaseSupplyCountersApi_ | [**get_weekly_base_supply_templates**](docs/WeeklyBaseSupplyCountersApi.md#get_weekly_base_supply_templates) | **GET** /weekly-base-supply-counters/templates | supply:read - Returns weekly base supply counter templates.
_WeeklyBaseSupplyCountersApi_ | [**upsert_weekly_base_supply_counter_template**](docs/WeeklyBaseSupplyCountersApi.md#upsert_weekly_base_supply_counter_template) | **PUT** /weekly-base-supply-counters/templates | supply:write - Upsert weekly base supply counter template.
_WeeklySupplyLineCountersApi_ | [**add_weekly_supply_line_counter**](docs/WeeklySupplyLineCountersApi.md#add_weekly_supply_line_counter) | **POST** /weekly-supply-line-counters | supply:write - Creates a new WeeklySupplyLineCounter.
_WeeklySupplyLineCountersApi_ | [**add_weekly_supply_line_counter_to_supply_line**](docs/WeeklySupplyLineCountersApi.md#add_weekly_supply_line_counter_to_supply_line) | **PATCH** /weekly-supply-line-counters/{weeklySupplyLineCounterId}/add-to-supplyline/{supplyLineId} | supply:write - Links the supply line to the WeeklySupplyLineCounter. The &#x60;numberOfPieces&#x60; in the supply line will be based on the counter.
_WeeklySupplyLineCountersApi_ | [**delete_weekly_supply_line_counter**](docs/WeeklySupplyLineCountersApi.md#delete_weekly_supply_line_counter) | **DELETE** /weekly-supply-line-counters/{weeklySupplyLineCounterId} | supply:write - Deletes the WeeklySupplyLineCounter and removes all the supply line links.
_WeeklySupplyLineCountersApi_ | [**get_weekly_supply_line_counter_by_id**](docs/WeeklySupplyLineCountersApi.md#get_weekly_supply_line_counter_by_id) | **GET** /weekly-supply-line-counters/{weeklySupplyLineCounterId} | supply:read - Returns the WeeklySupplyLineCounters by id.
_WeeklySupplyLineCountersApi_ | [**get_weekly_supply_line_counters**](docs/WeeklySupplyLineCountersApi.md#get_weekly_supply_line_counters) | **GET** /weekly-supply-line-counters | supply:read - Returns all available WeeklySupplyLineCounters created via the Suppliers API.
_WeeklySupplyLineCountersApi_ | [**remove_weekly_supply_line_counter_from_supply_line**](docs/WeeklySupplyLineCountersApi.md#remove_weekly_supply_line_counter_from_supply_line) | **PATCH** /weekly-supply-line-counters/{weeklySupplyLineCounterId}/remove-from-supplyline/{supplyLineId} | supply:write - Removes the supply line from the WeeklySupplyLineCounter.

## Documentation For Models

- [AcceptOrderRequest](docs/AcceptOrderRequest.md)
- [AcceptSupplyRequestLine](docs/AcceptSupplyRequestLine.md)
- [AddBatch](docs/AddBatch.md)
- [AddBatchPackingConfiguration](docs/AddBatchPackingConfiguration.md)
- [AddBlanketOrder](docs/AddBlanketOrder.md)
- [AddBundledOffer](docs/AddBundledOffer.md)
- [AddClockPresalesSupplyLine](docs/AddClockPresalesSupplyLine.md)
- [AddClockSalesFromNurserySupplyLine](docs/AddClockSalesFromNurserySupplyLine.md)
- [AddContract](docs/AddContract.md)
- [AddContractVersion](docs/AddContractVersion.md)
- [AddCustomerOffer](docs/AddCustomerOffer.md)
- [AddFulfillmentOrderCorrection](docs/AddFulfillmentOrderCorrection.md)
- [AddLoadCarrierConfiguration](docs/AddLoadCarrierConfiguration.md)
- [AddLoadCarrierCorrection](docs/AddLoadCarrierCorrection.md)
- [AddLoadCarrierItem](docs/AddLoadCarrierItem.md)
- [AddLoadCarrierItemCorrection](docs/AddLoadCarrierItemCorrection.md)
- [AddLocation](docs/AddLocation.md)
- [AddOrEditBundledOfferLine](docs/AddOrEditBundledOfferLine.md)
- [AddPrice](docs/AddPrice.md)
- [AddSalesOrderCorrectionRequest](docs/AddSalesOrderCorrectionRequest.md)
- [AddSalesOrderDelivery](docs/AddSalesOrderDelivery.md)
- [AddVolumePrice](docs/AddVolumePrice.md)
- [AddVolumePriceUnit](docs/AddVolumePriceUnit.md)
- [AdditionalService](docs/AdditionalService.md)
- [AdditionalServiceUnit](docs/AdditionalServiceUnit.md)
- [AdditionalStickerServiceInformation](docs/AdditionalStickerServiceInformation.md)
- [AdditionalStickerServiceType](docs/AdditionalStickerServiceType.md)
- [Address](docs/Address.md)
- [AggregateType](docs/AggregateType.md)
- [AgreementReference](docs/AgreementReference.md)
- [AllOfAdditionalServicePrice](docs/AllOfAdditionalServicePrice.md)
- [AllOfAdditionalServiceStickerInformation](docs/AllOfAdditionalServiceStickerInformation.md)
- [AllOfBaseSupplyBasePricePerPiece](docs/AllOfBaseSupplyBasePricePerPiece.md)
- [AllOfCustomerTradeSettingsAcceptsDirectOrders](docs/AllOfCustomerTradeSettingsAcceptsDirectOrders.md)
- [AllOfCustomerTradeSettingsAcceptsSupplyOfTypePurchaseTip](docs/AllOfCustomerTradeSettingsAcceptsSupplyOfTypePurchaseTip.md)
- [AllOfCustomerTradeSettingsAcceptsTransportCost](docs/AllOfCustomerTradeSettingsAcceptsTransportCost.md)
- [AllOfCustomerTradeSettingsAllowSuppliersToManageSelectedTradeItemAssortment](docs/AllOfCustomerTradeSettingsAllowSuppliersToManageSelectedTradeItemAssortment.md)
- [AllOfCustomerTradeSettingsAutomaticallyAcceptsCorrectionRequestsOnDirectOrders](docs/AllOfCustomerTradeSettingsAutomaticallyAcceptsCorrectionRequestsOnDirectOrders.md)
- [AllOfCustomerTradeSettingsAutomaticallyAcceptsCorrectionRequestsOnSupplyOrders](docs/AllOfCustomerTradeSettingsAutomaticallyAcceptsCorrectionRequestsOnSupplyOrders.md)
- [AllOfCustomerTradeSettingsUsesContracts](docs/AllOfCustomerTradeSettingsUsesContracts.md)
- [AllOfEditContractLineTradeItem](docs/AllOfEditContractLineTradeItem.md)
- [AllOfEditContractLineTradeItemGroup](docs/AllOfEditContractLineTradeItemGroup.md)
- [AllOfEditWeeklyBaseSupplyLinesBasePricePerPiece](docs/AllOfEditWeeklyBaseSupplyLinesBasePricePerPiece.md)
- [AllOfSalesOrderMutablesIncoterm](docs/AllOfSalesOrderMutablesIncoterm.md)
- [AllOfSupplierTradeSettingsAcceptsOrderRequests](docs/AllOfSupplierTradeSettingsAcceptsOrderRequests.md)
- [AllOfSupplierTradeSettingsAcceptsPackingConfigurationRequests](docs/AllOfSupplierTradeSettingsAcceptsPackingConfigurationRequests.md)
- [AllOfSupplierTradeSettingsAcceptsSupplyRequests](docs/AllOfSupplierTradeSettingsAcceptsSupplyRequests.md)
- [AllOfSupplierTradeSettingsAcceptsTradeItemRequests](docs/AllOfSupplierTradeSettingsAcceptsTradeItemRequests.md)
- [AllOfSupplierTradeSettingsAutomaticallyAcceptsCorrectionRequests](docs/AllOfSupplierTradeSettingsAutomaticallyAcceptsCorrectionRequests.md)
- [AllOfSupplierTradeSettingsUsesCancellationGracePeriodIfMinimumQuantityIsNotMet](docs/AllOfSupplierTradeSettingsUsesCancellationGracePeriodIfMinimumQuantityIsNotMet.md)
- [AllOfSupplierTradeSettingsUsesContracts](docs/AllOfSupplierTradeSettingsUsesContracts.md)
- [AllOfSupplierTradeSettingsUsesCustomerStickers](docs/AllOfSupplierTradeSettingsUsesCustomerStickers.md)
- [AllOfTradeItemBaseTradeItemName](docs/AllOfTradeItemBaseTradeItemName.md)
- [AllOfWeeklyBaseSupplyCreateBasePricePerPiece](docs/AllOfWeeklyBaseSupplyCreateBasePricePerPiece.md)
- [ApprovalStatus](docs/ApprovalStatus.md)
- [AttachmentDetail](docs/AttachmentDetail.md)
- [AuctionLocation](docs/AuctionLocation.md)
- [AuctionStatusName](docs/AuctionStatusName.md)
- [Availability](docs/Availability.md)
- [BaseItem](docs/BaseItem.md)
- [BaseItemCreate](docs/BaseItemCreate.md)
- [BaseItemType](docs/BaseItemType.md)
- [BaseItemUpdate](docs/BaseItemUpdate.md)
- [BaseSupply](docs/BaseSupply.md)
- [Batch](docs/Batch.md)
- [BatchMutation](docs/BatchMutation.md)
- [BatchMutationType](docs/BatchMutationType.md)
- [BatchPackingConfiguration](docs/BatchPackingConfiguration.md)
- [BatchToCombine](docs/BatchToCombine.md)
- [BlanketOrder](docs/BlanketOrder.md)
- [BlanketOrderLine](docs/BlanketOrderLine.md)
- [BlanketOrderStatus](docs/BlanketOrderStatus.md)
- [BundledOffer](docs/BundledOffer.md)
- [BundledOfferLine](docs/BundledOfferLine.md)
- [Characteristic](docs/Characteristic.md)
- [ClaimFromWeeklyBaseSupplyCounter](docs/ClaimFromWeeklyBaseSupplyCounter.md)
- [ClockPresalesSupplyLine](docs/ClockPresalesSupplyLine.md)
- [ClockSupplyLine](docs/ClockSupplyLine.md)
- [ClockSupplyLinePackingConfiguration](docs/ClockSupplyLinePackingConfiguration.md)
- [Collection](docs/Collection.md)
- [CollectionCreate](docs/CollectionCreate.md)
- [CollectionTradeItemIds](docs/CollectionTradeItemIds.md)
- [CollectionUpdate](docs/CollectionUpdate.md)
- [CombineAndTransformBatchesRequest](docs/CombineAndTransformBatchesRequest.md)
- [CommercialService](docs/CommercialService.md)
- [CommercialServiceType](docs/CommercialServiceType.md)
- [Connection](docs/Connection.md)
- [ContinuousStock](docs/ContinuousStock.md)
- [Contract](docs/Contract.md)
- [ContractDelivery](docs/ContractDelivery.md)
- [ContractLine](docs/ContractLine.md)
- [ContractLineAdditionalService](docs/ContractLineAdditionalService.md)
- [ContractLinePeriod](docs/ContractLinePeriod.md)
- [ContractLinePeriodBandwidthNumberOfPieces](docs/ContractLinePeriodBandwidthNumberOfPieces.md)
- [ContractLinePeriodBandwidthPricePerPiece](docs/ContractLinePeriodBandwidthPricePerPiece.md)
- [ContractLineTradeItem](docs/ContractLineTradeItem.md)
- [ContractPeriodKind](docs/ContractPeriodKind.md)
- [ContractStatus](docs/ContractStatus.md)
- [ContractTradeItemGroup](docs/ContractTradeItemGroup.md)
- [ContractTradeItemGroupTradeItem](docs/ContractTradeItemGroupTradeItem.md)
- [ContractVersion](docs/ContractVersion.md)
- [CorrectionRequestStatus](docs/CorrectionRequestStatus.md)
- [CorrectionStatus](docs/CorrectionStatus.md)
- [CreditClaimStatus](docs/CreditClaimStatus.md)
- [Currency](docs/Currency.md)
- [CustomPackage](docs/CustomPackage.md)
- [CustomerSticker](docs/CustomerSticker.md)
- [CustomerStickerComposition](docs/CustomerStickerComposition.md)
- [CustomerStickerFileInformation](docs/CustomerStickerFileInformation.md)
- [CustomerTradeSettings](docs/CustomerTradeSettings.md)
- [DeclineContract](docs/DeclineContract.md)
- [DeliveryCondition](docs/DeliveryCondition.md)
- [DeliveryConditionSet](docs/DeliveryConditionSet.md)
- [DeliveryConditionTimeFrame](docs/DeliveryConditionTimeFrame.md)
- [DeliveryCost](docs/DeliveryCost.md)
- [DeliveryLocation](docs/DeliveryLocation.md)
- [DeliveryOrder](docs/DeliveryOrder.md)
- [DeliveryOrderAuction](docs/DeliveryOrderAuction.md)
- [DeliveryOrderGoodsMovement](docs/DeliveryOrderGoodsMovement.md)
- [DeliveryRegion](docs/DeliveryRegion.md)
- [Destination](docs/Destination.md)
- [DomainErrorCode](docs/DomainErrorCode.md)
- [EditBlanketOrder](docs/EditBlanketOrder.md)
- [EditBlanketOrderLine](docs/EditBlanketOrderLine.md)
- [EditBundledOffer](docs/EditBundledOffer.md)
- [EditClockPresalesSupplyLine](docs/EditClockPresalesSupplyLine.md)
- [EditContract](docs/EditContract.md)
- [EditContractDelivery](docs/EditContractDelivery.md)
- [EditContractLine](docs/EditContractLine.md)
- [EditContractLineAdditionalService](docs/EditContractLineAdditionalService.md)
- [EditContractLinePeriod](docs/EditContractLinePeriod.md)
- [EditContractLinePeriodBandwidthNumberOfPieces](docs/EditContractLinePeriodBandwidthNumberOfPieces.md)
- [EditContractLinePeriodBandwidthPricePerPiece](docs/EditContractLinePeriodBandwidthPricePerPiece.md)
- [EditContractLineTradeItem](docs/EditContractLineTradeItem.md)
- [EditContractLineTradeItemGroup](docs/EditContractLineTradeItemGroup.md)
- [EditCustomerOffer](docs/EditCustomerOffer.md)
- [EditWeeklyBaseSupplyCounterTemplate](docs/EditWeeklyBaseSupplyCounterTemplate.md)
- [EditWeeklyBaseSupplyLines](docs/EditWeeklyBaseSupplyLines.md)
- [EditWeeklyBaseSupplyManualPriceGroupPrice](docs/EditWeeklyBaseSupplyManualPriceGroupPrice.md)
- [Event](docs/Event.md)
- [EventType](docs/EventType.md)
- [FulfillmentOrder](docs/FulfillmentOrder.md)
- [FulfillmentOrderClaim](docs/FulfillmentOrderClaim.md)
- [FulfillmentOrderCorrection](docs/FulfillmentOrderCorrection.md)
- [FulfillmentOrderCreate](docs/FulfillmentOrderCreate.md)
- [FulfillmentOrderInbound](docs/FulfillmentOrderInbound.md)
- [FulfillmentOrderStatus](docs/FulfillmentOrderStatus.md)
- [FulfillmentOrderUpdate](docs/FulfillmentOrderUpdate.md)
- [FulfillmentRequest](docs/FulfillmentRequest.md)
- [FulfillmentRequestCreate](docs/FulfillmentRequestCreate.md)
- [FulfillmentRequestCreateAuction](docs/FulfillmentRequestCreateAuction.md)
- [FulfillmentRequestCreateAuctionTradeItem](docs/FulfillmentRequestCreateAuctionTradeItem.md)
- [FulfillmentStatus](docs/FulfillmentStatus.md)
- [FulfillmentType](docs/FulfillmentType.md)
- [GoodsReceipt](docs/GoodsReceipt.md)
- [Identity](docs/Identity.md)
- [Incoterm](docs/Incoterm.md)
- [InvoiceLine](docs/InvoiceLine.md)
- [LoadCarrierConfiguration](docs/LoadCarrierConfiguration.md)
- [LoadCarrierConfigurationInbound](docs/LoadCarrierConfigurationInbound.md)
- [LoadCarrierCorrection](docs/LoadCarrierCorrection.md)
- [LoadCarrierItem](docs/LoadCarrierItem.md)
- [LoadCarrierItemCorrection](docs/LoadCarrierItemCorrection.md)
- [LoadCarrierItemInbound](docs/LoadCarrierItemInbound.md)
- [LoadCarrierType](docs/LoadCarrierType.md)
- [Location](docs/Location.md)
- [LogisticHub](docs/LogisticHub.md)
- [MaterialType](docs/MaterialType.md)
- [MediaBody](docs/MediaBody.md)
- [MediaReference](docs/MediaReference.md)
- [NonWorkingDayDeliveryCondition](docs/NonWorkingDayDeliveryCondition.md)
- [OrderAdditionalService](docs/OrderAdditionalService.md)
- [OrderAmount](docs/OrderAmount.md)
- [OrderRequest](docs/OrderRequest.md)
- [OrderRequestDelivery](docs/OrderRequestDelivery.md)
- [OrderRequestStatus](docs/OrderRequestStatus.md)
- [OrderedAdditionalService](docs/OrderedAdditionalService.md)
- [Organization](docs/Organization.md)
- [OrganizationType](docs/OrganizationType.md)
- [Package](docs/Package.md)
- [PackingConfiguration](docs/PackingConfiguration.md)
- [PackingConfigurationBase](docs/PackingConfigurationBase.md)
- [PackingConfigurationRequest](docs/PackingConfigurationRequest.md)
- [PaymentProvider](docs/PaymentProvider.md)
- [PaymentProviderCreate](docs/PaymentProviderCreate.md)
- [Photo](docs/Photo.md)
- [PhotoType](docs/PhotoType.md)
- [Price](docs/Price.md)
- [PriceGroup](docs/PriceGroup.md)
- [PriceGroupType](docs/PriceGroupType.md)
- [ProblemDetails](docs/ProblemDetails.md)
- [PublicHoliday](docs/PublicHoliday.md)
- [Quantity](docs/Quantity.md)
- [QuantityCorrection](docs/QuantityCorrection.md)
- [ReceivedLoadCarrierConfigurationItemStatus](docs/ReceivedLoadCarrierConfigurationItemStatus.md)
- [RejectOrderRequest](docs/RejectOrderRequest.md)
- [RequestPackingConfiguration](docs/RequestPackingConfiguration.md)
- [RequestStatus](docs/RequestStatus.md)
- [SalesChannel](docs/SalesChannel.md)
- [SalesChannelInterface](docs/SalesChannelInterface.md)
- [SalesOrder](docs/SalesOrder.md)
- [SalesOrderCalculatedFields](docs/SalesOrderCalculatedFields.md)
- [SalesOrderCorrectionRequest](docs/SalesOrderCorrectionRequest.md)
- [SalesOrderCorrectionRequestAccept](docs/SalesOrderCorrectionRequestAccept.md)
- [SalesOrderCorrectionRequestDecline](docs/SalesOrderCorrectionRequestDecline.md)
- [SalesOrderCorrectionStockApplication](docs/SalesOrderCorrectionStockApplication.md)
- [SalesOrderDelivery](docs/SalesOrderDelivery.md)
- [SalesOrderExternalIntegrationRequest](docs/SalesOrderExternalIntegrationRequest.md)
- [SalesOrderMutables](docs/SalesOrderMutables.md)
- [SalesOrderMutation](docs/SalesOrderMutation.md)
- [SalesOrderMutationCorrectionType](docs/SalesOrderMutationCorrectionType.md)
- [SalesOrderMutationUpdateType](docs/SalesOrderMutationUpdateType.md)
- [SalesOrderPackingConfiguration](docs/SalesOrderPackingConfiguration.md)
- [SalesOrderPackingConfigurationCreate](docs/SalesOrderPackingConfigurationCreate.md)
- [SalesOrderRequest](docs/SalesOrderRequest.md)
- [SalesOrderStatus](docs/SalesOrderStatus.md)
- [SalesOrderVersion](docs/SalesOrderVersion.md)
- [SalesUnit](docs/SalesUnit.md)
- [SeasonalPeriod](docs/SeasonalPeriod.md)
- [Size](docs/Size.md)
- [StickerProvidedBy](docs/StickerProvidedBy.md)
- [StickerType](docs/StickerType.md)
- [StickerUploadLayout](docs/StickerUploadLayout.md)
- [SupplierTradeSettings](docs/SupplierTradeSettings.md)
- [SupplyAvailabilityStatus](docs/SupplyAvailabilityStatus.md)
- [SupplyLine](docs/SupplyLine.md)
- [SupplyLineCreate](docs/SupplyLineCreate.md)
- [SupplyLinePackingConfiguration](docs/SupplyLinePackingConfiguration.md)
- [SupplyLinePackingConfigurationCreate](docs/SupplyLinePackingConfigurationCreate.md)
- [SupplyLinePriceUpdate](docs/SupplyLinePriceUpdate.md)
- [SupplyLoadCarrierType](docs/SupplyLoadCarrierType.md)
- [SupplyRequest](docs/SupplyRequest.md)
- [SupplyRequestLine](docs/SupplyRequestLine.md)
- [SupplyStatus](docs/SupplyStatus.md)
- [SupplyStatusUpdate](docs/SupplyStatusUpdate.md)
- [SupplyType](docs/SupplyType.md)
- [SyncResultOfAdditionalService](docs/SyncResultOfAdditionalService.md)
- [SyncResultOfBaseItem](docs/SyncResultOfBaseItem.md)
- [SyncResultOfBatch](docs/SyncResultOfBatch.md)
- [SyncResultOfBatchMutation](docs/SyncResultOfBatchMutation.md)
- [SyncResultOfBlanketOrder](docs/SyncResultOfBlanketOrder.md)
- [SyncResultOfBundledOffer](docs/SyncResultOfBundledOffer.md)
- [SyncResultOfClockPresalesSupplyLine](docs/SyncResultOfClockPresalesSupplyLine.md)
- [SyncResultOfClockSupplyLine](docs/SyncResultOfClockSupplyLine.md)
- [SyncResultOfCollection](docs/SyncResultOfCollection.md)
- [SyncResultOfCommercialServiceType](docs/SyncResultOfCommercialServiceType.md)
- [SyncResultOfConnection](docs/SyncResultOfConnection.md)
- [SyncResultOfContract](docs/SyncResultOfContract.md)
- [SyncResultOfContractTradeItemGroup](docs/SyncResultOfContractTradeItemGroup.md)
- [SyncResultOfCustomPackage](docs/SyncResultOfCustomPackage.md)
- [SyncResultOfCustomerSticker](docs/SyncResultOfCustomerSticker.md)
- [SyncResultOfCustomerTradeSettings](docs/SyncResultOfCustomerTradeSettings.md)
- [SyncResultOfDeliveryConditionSet](docs/SyncResultOfDeliveryConditionSet.md)
- [SyncResultOfDeliveryLocation](docs/SyncResultOfDeliveryLocation.md)
- [SyncResultOfDeliveryOrder](docs/SyncResultOfDeliveryOrder.md)
- [SyncResultOfFulfillmentOrder](docs/SyncResultOfFulfillmentOrder.md)
- [SyncResultOfFulfillmentOrderInbound](docs/SyncResultOfFulfillmentOrderInbound.md)
- [SyncResultOfInvoiceLine](docs/SyncResultOfInvoiceLine.md)
- [SyncResultOfOrderRequest](docs/SyncResultOfOrderRequest.md)
- [SyncResultOfOrganization](docs/SyncResultOfOrganization.md)
- [SyncResultOfPackingConfigurationRequest](docs/SyncResultOfPackingConfigurationRequest.md)
- [SyncResultOfPriceGroup](docs/SyncResultOfPriceGroup.md)
- [SyncResultOfSalesOrder](docs/SyncResultOfSalesOrder.md)
- [SyncResultOfSalesOrderCorrectionRequest](docs/SyncResultOfSalesOrderCorrectionRequest.md)
- [SyncResultOfSupplyLine](docs/SyncResultOfSupplyLine.md)
- [SyncResultOfSupplyRequest](docs/SyncResultOfSupplyRequest.md)
- [SyncResultOfTradeItem](docs/SyncResultOfTradeItem.md)
- [SyncResultOfTradeItemAvailability](docs/SyncResultOfTradeItemAvailability.md)
- [SyncResultOfTradeItemRequest](docs/SyncResultOfTradeItemRequest.md)
- [SyncResultOfWarehouse](docs/SyncResultOfWarehouse.md)
- [TimeFrame](docs/TimeFrame.md)
- [TradeInstrument](docs/TradeInstrument.md)
- [TradeInstrumentFilter](docs/TradeInstrumentFilter.md)
- [TradeItem](docs/TradeItem.md)
- [TradeItemAvailability](docs/TradeItemAvailability.md)
- [TradeItemBase](docs/TradeItemBase.md)
- [TradeItemComponent](docs/TradeItemComponent.md)
- [TradeItemCustomerAvailability](docs/TradeItemCustomerAvailability.md)
- [TradeItemName](docs/TradeItemName.md)
- [TradeItemRequest](docs/TradeItemRequest.md)
- [TradeItemSummary](docs/TradeItemSummary.md)
- [TradeItemUpdate](docs/TradeItemUpdate.md)
- [TradeItemVariant](docs/TradeItemVariant.md)
- [TradeItemVariantUpdate](docs/TradeItemVariantUpdate.md)
- [TradePeriod](docs/TradePeriod.md)
- [TradeSetting](docs/TradeSetting.md)
- [TransformBatchRequest](docs/TransformBatchRequest.md)
- [TransformBatchRequestPackingConfiguration](docs/TransformBatchRequestPackingConfiguration.md)
- [TransitStatus](docs/TransitStatus.md)
- [Unit](docs/Unit.md)
- [ValidationProblemDetails](docs/ValidationProblemDetails.md)
- [VolumePrice](docs/VolumePrice.md)
- [VolumePriceUnit](docs/VolumePriceUnit.md)
- [WareHouseServiceType](docs/WareHouseServiceType.md)
- [Warehouse](docs/Warehouse.md)
- [WebhookSubscription](docs/WebhookSubscription.md)
- [WeekDay](docs/WeekDay.md)
- [WeeklyBaseSupply](docs/WeeklyBaseSupply.md)
- [WeeklyBaseSupplyCounter](docs/WeeklyBaseSupplyCounter.md)
- [WeeklyBaseSupplyCounterTemplate](docs/WeeklyBaseSupplyCounterTemplate.md)
- [WeeklyBaseSupplyCounterTemplateToTradeItem](docs/WeeklyBaseSupplyCounterTemplateToTradeItem.md)
- [WeeklyBaseSupplyCreate](docs/WeeklyBaseSupplyCreate.md)
- [WeeklyBaseSupplyPriceGroupPrice](docs/WeeklyBaseSupplyPriceGroupPrice.md)
- [WeeklySupplyLine](docs/WeeklySupplyLine.md)
- [WeeklySupplyLineCounter](docs/WeeklySupplyLineCounter.md)
- [WeeklySupplyLineCounterCreate](docs/WeeklySupplyLineCounterCreate.md)
- [WeeklySupplyLineUpdate](docs/WeeklySupplyLineUpdate.md)
- [WeeklyTradePeriod](docs/WeeklyTradePeriod.md)

## Documentation For Authorization

## JWT Token

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header

## X-Api-Key

- **Type**: API key
- **API key parameter name**: X-Api-Key
- **Location**: HTTP header

## Author
